librsb 1.3.0.2

Functions
snippets.c File Reference
Example programs and code

Collection of C snippets of other examples. Used piecewise the documentation. Not intended to be read as example. More...

## Functions
int | tune_snip__main (const int argc, char *const argv[])
int | main_rsb_coo_cleanup1 (const int argc, char *const argv[])
int | main_rsb_lib_reinit (const int argc, char *const argv[])
int | main_rsb_coo_cleanup2 (const int argc, char *const argv[])
int | main_rsb_psblas_trans_to_rsb_trans (const int argc, char *const argv[])
int | main_rsb_mtx_get_prec (const int argc, char *const argv[])
int | main (const int argc, char *const argv[])

## Detailed Description

Collection of C snippets of other examples. Used piecewise the documentation. Not intended to be read as example.

Author
  Michele Martone

## Function Documentation

## ◆ main()

int main | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

A RSB-by-snips program.

## ◆ main_rsb_coo_cleanup1()

int main_rsb_coo_cleanup1 | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

[COO cleanup 1]

[COO cleanup 1]

## ◆ main_rsb_coo_cleanup2()

int main_rsb_coo_cleanup2 | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

[COO cleanup 2]

[COO cleanup 2]

## ◆ main_rsb_lib_reinit()

int main_rsb_lib_reinit | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

[rsb_lib_reinit__rsb_lib_set_opt_str_snip]

[rsb_lib_reinit__rsb_lib_set_opt_str_snip]

## ◆ main_rsb_mtx_get_prec()

int main_rsb_mtx_get_prec | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

[snip__rsb_mtx_get_prec]

[snip__rsb_mtx_get_prec]

## ◆ main_rsb_psblas_trans_to_rsb_trans()

int main_rsb_psblas_trans_to_rsb_trans | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

## ◆ tune_snip__main()

int tune_snip__main | ( | const int | argc,
|  | char *const | argv[]
| ) |  |

Autotuning example.